stages:
  -  build
  -  test

build:
  stage: build
  script: 
    - mkdir build
    - cd build
    - touch car.text
    - echo "chasis" >> car.text
    - echo "engine" >> car.text
    - echo "wheels" >> car.text
  artifacts:
    paths:
      - build/

test:
  stage: test
  script:
    - test -f build/car.text
    - cd build
    - grep "chasis" car.text
    - grep "engine" car.text
    - grep "wheels" car.text


   
